Yate: MessageHook Class Reference

Yate

Public Member Functions | List of all members
MessageHook Class Referenceabstract

Abstract message hook. More...

`#include <yatengine.h>`

Inheritance diagram for MessageHook:

## Public Member Functions
virtual bool | enqueue (Message *msg)=0
virtual void | clear ()=0
virtual bool | matchesFilter (const Message &msg)=0
Public Member Functions inherited from RefObject
| RefObject ()
virtual | ~RefObject ()
virtual void * | getObject (const String &name) const
virtual bool | alive () const
bool | ref ()
bool | deref ()
int | refcount () const
virtual void | destruct ()
Public Member Functions inherited from GenObject
| GenObject ()
virtual | ~GenObject ()
virtual const String & | toString () const
virtual const String & | traceId () const
NamedCounter * | getObjCounter () const
NamedCounter * | setObjCounter (NamedCounter *counter)

## Additional Inherited Members
Static Public Member Functions inherited from RefObject
static bool | alive (const RefObject *obj)
static bool | efficientIncDec ()
Static Public Member Functions inherited from GenObject
static void * | getObject (const String &name, const GenObject *obj)
static bool | getObjCounting ()
static void | setObjCounting (bool enable)
static NamedCounter * | getObjCounter (const String &name, bool create=true)
static ObjList & | getObjCounters ()
Protected Member Functions inherited from RefObject
virtual void | zeroRefs ()
bool | resurrect ()
virtual void | destroyed ()

## Detailed Description

Abstract message hook.

Abstract class for message hook

## Member Function Documentation

## ◆ clear()

virtual void clear | ( |  | ) |
| pure virtual

Clear this hook data

Implemented in MessageQueue.

## ◆ enqueue()

virtual bool enqueue | ( | Message * | msg | ) |
| pure virtual

Try to enqueue a message to this hook's queue

Parameters

  msg | The message to enqueue

Returns
  True if the message was enqueued.

Implemented in MessageQueue.

## ◆ matchesFilter()

virtual bool matchesFilter | ( | const Message & | msg | ) |
| pure virtual

Check if the given message can be inserted in this queue

Parameters

  msg | The message to check

Returns
  True if the message can be inserted in this queue

Implemented in MessageQueue.

The documentation for this class was generated from the following file:

- yatengine.h